=== debian/changelog ===
libsolv (0.6.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.
    + Use https URLs in Vcs-*: fields.
    + Versioned D on dpkg-dev (>= 1.16.1.1).
    + Don't build dbg:packages anymore. See
      https://wiki.debian.org/AutomaticDebugPackages.
  * debian/{control,compat}:
    + Bump DH compat level to version 9.
  * debian/rules:
    + Create orig tarball in ../ rather than ./.
    + Enable all hardening build flags.
    + Use NEWS file as upstream changelog.
  * debian/patches:
    + Updates all patches.
    + Drop 1006_man-page-spelling-errors.patch. Applied upstream.
    + Add 1006_various-types.patch. Fix various typos and grammar
      issues.
  * debian/libsolv0-dev.install:
    + Upstream now provides a pkg-config .pc file.
  * debian/libsolv-tools.examples:
    + solv.c moved to examples/solv/ in source tree.
  * debian/libsolv-tools.examples:
    + solv.c moved to examples/solv/ in source tree.
  * debian/libsolv0.symbols:
    + Update symbols.
  * debian/copyright.in:
    + Update automatically generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jun 2016 17:38:33 +0200
