## libsolv 0.6.24

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 OPTION (USE_VENDORDIRS "Install the bindings in vendor directories?" OFF)
 
 OPTION (ENABLE_RPMDB "Build with rpm database support?" OFF)
+OPTION (ENABLE_RPMPKG "Build with rpm package support?" OFF)
 OPTION (ENABLE_PUBKEY "Build with pubkey support?" OFF)
 OPTION (ENABLE_RPMDB_BYRPMHEADER "Build with rpmdb Header support?" OFF)
 OPTION (ENABLE_RPMMD "Build with rpmmd repository support?" OFF)
@@ -172,8 +173,11 @@
 
 IF (MULTI_SEMANTICS)
 MESSAGE (STATUS "Enabling multi dist support")
-ADD_DEFINITIONS (-DMULTI_SEMANTICS)
 ENDIF (MULTI_SEMANTICS)
+
+IF (ENABLE_RPMDB)
+SET (ENABLE_RPMPKG ON)
+ENDIF (ENABLE_RPMDB)
 
 INCLUDE (CheckIncludeFile)
 IF (ENABLE_RPMDB)
@@ -237,14 +241,33 @@
 
 # should create config.h with #cmakedefine instead...
 FOREACH (VAR HAVE_STRCHRNUL HAVE_FOPENCOOKIE HAVE_FUNOPEN WORDS_BIGENDIAN
-  HAVE_RPM_DB_H HAVE_PGPDIGGETPARAMS
-  ENABLE_RPMDB ENABLE_PUBKEY ENABLE_RPMMD ENABLE_RPMDB_BYRPMHEADER ENABLE_SUSEREPO ENABLE_COMPS
-  ENABLE_HELIXREPO ENABLE_MDKREPO ENABLE_ARCHREPO ENABLE_DEBIAN ENABLE_HAIKU
-  ENABLE_LZMA_COMPRESSION ENABLE_BZIP2_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA
-  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS)
+  HAVE_RPM_DB_H HAVE_PGPDIGGETPARAMS)
   IF(${VAR})
     ADD_DEFINITIONS (-D${VAR}=1)
     SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
+  ENDIF (${VAR})
+ENDFOREACH (VAR)
+
+FOREACH (VAR
+  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS MULTI_SEMANTICS)
+  IF(${VAR})
+    ADD_DEFINITIONS (-D${VAR}=1)
+    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
+    STRING(REPLACE ENABLE_ "" VARX ${VAR})
+    SET (LIBSOLV_FEATURE_${VARX} 1)
+  ENDIF (${VAR})
+ENDFOREACH (VAR)
+
+FOREACH (VAR
+  ENABLE_RPMDB ENABLE_RPMPKG ENABLE_PUBKEY ENABLE_RPMMD ENABLE_RPMDB_BYRPMHEADER
+  ENABLE_SUSEREPO ENABLE_COMPS
+  ENABLE_HELIXREPO ENABLE_MDKREPO ENABLE_ARCHREPO ENABLE_DEBIAN ENABLE_HAIKU
+  ENABLE_LZMA_COMPRESSION ENABLE_BZIP2_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA)
+  IF(${VAR})
+    ADD_DEFINITIONS (-D${VAR}=1)
+    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
+    STRING(REPLACE ENABLE_ "" VARX ${VAR})
+    SET (LIBSOLVEXT_FEATURE_${VARX} 1)
   ENDIF (${VAR})
 ENDFOREACH (VAR)
 
@@ -343,17 +366,3 @@
 ADD_SUBDIRECTORY (src)
 ADD_SUBDIRECTORY (ext)
 ADD_SUBDIRECTORY (tools)
-IF (ENABLE_PERL OR ENABLE_PYTHON OR ENABLE_RUBY OR ENABLE_TCL)
-    ADD_SUBDIRECTORY (bindings)
-ENDIF (ENABLE_PERL OR ENABLE_PYTHON OR ENABLE_RUBY OR ENABLE_TCL)
-ADD_SUBDIRECTORY (examples)
-ADD_SUBDIRECTORY (doc)
-
-MESSAGE (STATUS "Version: ${VERSION}")
-
-####################################################################
-# RPM SPEC                                                         #
-####################################################################
-
-MACRO (SPECFILE)
-  MESSAGE (STATUS "Writing spec file...")
