=== debian/changelog ===
libsolv (0.6.24-1+deb9u2) stretch; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based
      buffer over-read in repodata.c (Closes: #949611).
    + Trivial rebase of patches 1004, 1006 and 2001.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 18:49:35 +0100

libsolv (0.6.24-1+deb9u1) stretch; urgency=medium

  * debian/control:
    + Fix typo in D (python3-solv): Change ${python:Depends} to
      ${python3:Depends}. Spotted by Adrian Bunk. (Closes: #867407).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Sep 2017 17:33:32 +0200

libsolv (0.6.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_support-python2+3-bindings-simultaneously.patch.
      Resolved (differently) upstream.
    + Drop 1005_provide-repo-autopattern-for-non-SUSE-builds.patch.
      Solved upstream.
  * debian/rules:
    + Set ENABLE_PYTHON3 to 1 for enabling python3 bindings build for libsolv.
  * debian/{libsolv0,libsolvext0}.symbols:
    + Update symbols for 0.6.24 upstream release.
  * debian/copyright
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Jan 2017 19:54:45 +0100
