=== debian/control ===
Source: libsolv
Section: admin
Priority: extra
Maintainer: Mike Gabriel <sunweaver@debian.org> 
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1.1),
 cdbs,
 cmake, 
 libexpat1-dev,
 zlib1g-dev,
 librpm-dev (>= 4),
 liblzma-dev,
 libbz2-dev,
 python-dev,
 libpython-dev,
 python3-dev,
 libpython3-dev,
 swig,
Standards-Version: 3.9.8
Homepage: https://github.com/openSUSE/libsolv
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsolv.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsolv.git
X-Python-Version: >=2.6
X-Python3-Version: >=3.2

Package: libsolv0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (shared library)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku

Package: libsolv-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: dependency solver using a satisfiablility algorithm (documentation files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains documentation files for libsolv.

Package: libsolv0-dev
Section: libdevel
Architecture: any 
Multi-Arch: same
Provides:
 libsolv-dev
Depends:
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
 libsolvext0-dev (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolv.

Package: libsolvext0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (extensions)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Search the internet  for 'sat solver' to get links to the theory behind it.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku
 .
 This package contains the libsolv extension library.

Package: libsolvext0-dev
Section: libdevel
Architecture: any 
Multi-Arch: same
Provides:
 libsolvext-dev
Depends:
 ${misc:Depends},
 libsolvext0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (ext development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolvext.

Package: libsolv-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (command-line tools)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains command-line tools that facilitate using libsolv.

Package: python-solv
Section: python
Architecture: any
Depends:
 ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Python2 bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Python (v2) bindings for the libsolv0 library.

Package: python3-solv
Section: python
Architecture: any
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Python3 bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Python (v3) bindings for the libsolv0 library.

Package: libsolv-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Perl bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Perl bindings for the libsolv0 library.
