=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
                          -DENABLE_BZIP2_COMPRESSION=1 \
                          -DENABLE_PERL=1 \
                          -DENABLE_PYTHON=1 \
+                         -DENABLE_PYTHON3=1 \
                          -DCMAKE_SKIP_RPATH=FALSE \
                          -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                          $(NULL)
