## libsolv 0.6.28

=== debian/changelog ===
libsolv (0.6.28-2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:53:04 +0000

libsolv (0.6.28-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "python2.7/cmake: find_package called with invalid argument
    "2.7.13+"":
    Add 1008_cmake-python-version.patch to sanitize PYTHONLIBS_VERSION_STRING
    before passing it to 'FIND_PACKAGE (PythonInterp)'.
    (Closes: #867514)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jul 2017 10:10:08 +0200

libsolv (0.6.28-1) unstable; urgency=medium

  * New upstream release. (Closes: #865033).
  * debian/libsolv0.symbols:
    + Update symbols file.
  * debian/control:
    + Fix typo in D (python3-pampy): Change ${python:Depends} to
      ${python3:Depends}. Spotted by Adrian Bunk. (Closes: #867407).
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/libsolvext0-dev.install:
    + Add usr/lib/*/pkgconfig/libsolvext.pc to list of files to install
      into libsolvext0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jul 2017 22:11:26 +0200
