=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsolv.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsolv.git
