=== debian/changelog ===
libsolv (0.6.30-1build1) bionic; urgency=medium

  * No-change rebuild for librpm soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Nov 2017 15:17:22 +0100

libsolv (0.6.30-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream release.
  * debian/control: bump standards version
    + switch priority extra to optional
  * debian/control: move libsolv0 and libsolvext0 to section libs
  * debian/libsolv0.symbols: update

  [ Mike Gabriel ]
  * debian/patches:
    + Drop 0001_get-rid-of-path-max.patch as a file. The series file already had
      this patched removed by Héctor Orón Martínez.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Nov 2017 09:02:08 +0100

libsolv (0.6.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1008_cmake-python-version.patch. Applied upstream.
    + Rebase patches against recent upstream release.
    + Add 0001_get-rid-of-path-max.patch. Fix FTBFS on Debian GNU/Hurd where
      PATH_MAX is not defined.
  * debian/rules:
    + Use tarball from upstream URL as is. Don't repack it anymore.
  * debian/copyright:
    + Update auto-generated copyright.in.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Sep 2017 17:16:24 +0200
