=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libsolv
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org> 
 Build-Depends:
  debhelper (>= 9),
@@ -17,7 +17,7 @@
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsolv.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsolv.git
@@ -25,6 +25,7 @@
 X-Python3-Version: >=3.2
 
 Package: libsolv0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -91,6 +92,7 @@
  This package contains development files for libsolv.
 
 Package: libsolvext0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
